Documentation
curl -L -X GET 'https://flux.postacksolutions.com/api/auth/user/by-email?email=user@example.com' \
-H 'X-Server-ID: YOUR_SERVER_ID' \
-H 'X-API-Key: YOUR_API_KEY'{
"id": "6EAJHS27:user_1768810039504_j9e64uc00",
"externalUserId": "1768810039504_j9e64uc00",
"username": "phirij",
"email": "johnphiri@gmail.com",
"phoneNumber": "0965478952",
"passwordHash": "U2FsdGVkX1+yPjmEx4MHOjD23K+W9Lqli4IUdgOEY+zQfy4demgt8L9r8yooyZFfxxfPiEozstetM+MNIPVH5GY5FmI2Vcvh2rJmgipM9iI="
}Authentication
Get User by Email
Retrieves a user by email address. Returns user information including password hash for password verification during signin.
GET
200
{
"id": "6EAJHS27:user_1768810039504_j9e64uc00",
"externalUserId": "1768810039504_j9e64uc00",
"username": "phirij",
"email": "johnphiri@gmail.com",
"phoneNumber": "0965478952",
"passwordHash": "U2FsdGVkX1+yPjmEx4MHOjD23K+W9Lqli4IUdgOEY+zQfy4demgt8L9r8yooyZFfxxfPiEozstetM+MNIPVH5GY5FmI2Vcvh2rJmgipM9iI="
}Authorizations
Response
200
application/json
Successful response
externalUserId
string
The external user ID used to identify the user in your application
username
string
The username of the user
email
string
The email address of the user
phoneNumber
string | null
The phone number of the user, if provided
passwordHash
string | null
The encrypted password hash of the user. Use this to verify passwords during signin.